{
    "$graph": [
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "dockerPull": "docker.io/reanahub/reana-env-root6:6.18.04",
                    "class": "DockerRequirement"
                },
                {
                    "listing": [
                        "$(inputs.fitdata)",
                        "$(inputs.data)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#fitdata.cwl/data"
                },
                {
                    "type": "File",
                    "id": "#fitdata.cwl/fitdata"
                },
                {
                    "type": "string",
                    "default": "plot.png",
                    "id": "#fitdata.cwl/outfile"
                }
            ],
            "baseCommand": "/bin/sh",
            "arguments": [
                {
                    "prefix": "-c",
                    "valueFrom": "root -b -q '$(inputs.fitdata.basename)(\"$(inputs.data.basename)\",\"$(runtime.outdir)/$(inputs.outfile)\")'\n"
                }
            ],
            "id": "#fitdata.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfile)"
                    },
                    "id": "#fitdata.cwl/result"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "requirements": [
                {
                    "dockerPull": "docker.io/reanahub/reana-env-root6:6.18.04",
                    "class": "DockerRequirement"
                },
                {
                    "listing": [
                        "$(inputs.gendata_tool)"
                    ],
                    "class": "InitialWorkDirRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "int",
                    "id": "#gendata.cwl/events"
                },
                {
                    "type": "File",
                    "id": "#gendata.cwl/gendata_tool"
                },
                {
                    "type": "string",
                    "default": "data.root",
                    "id": "#gendata.cwl/outfilename"
                }
            ],
            "baseCommand": "/bin/sh",
            "arguments": [
                {
                    "prefix": "-c",
                    "valueFrom": "root -b -q '$(inputs.gendata_tool.basename)($(inputs.events),\"$(runtime.outdir)/$(inputs.outfilename)\")'\n"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.outfilename)"
                    },
                    "id": "#gendata.cwl/data"
                }
            ],
            "id": "#gendata.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "int",
                    "id": "#main/events"
                },
                {
                    "type": "File",
                    "id": "#main/fitdata_tool"
                },
                {
                    "type": "File",
                    "id": "#main/gendata_tool"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/fitdata/result",
                    "id": "#main/plot"
                }
            ],
            "steps": [
                {
                    "hints": [
                        {
                            "compute_backend": "htcondorcern",
                            "htcondor_max_runtime": "espresso",
                            "class": "reana"
                        }
                    ],
                    "run": "#fitdata.cwl",
                    "in": [
                        {
                            "source": "#main/gendata/data",
                            "id": "#main/fitdata/data"
                        },
                        {
                            "source": "#main/fitdata_tool",
                            "id": "#main/fitdata/fitdata"
                        }
                    ],
                    "out": [
                        "#main/fitdata/result"
                    ],
                    "id": "#main/fitdata"
                },
                {
                    "hints": [
                        {
                            "compute_backend": "htcondorcern",
                            "htcondor_max_runtime": "espresso",
                            "class": "reana"
                        }
                    ],
                    "run": "#gendata.cwl",
                    "in": [
                        {
                            "source": "#main/events",
                            "id": "#main/gendata/events"
                        },
                        {
                            "source": "#main/gendata_tool",
                            "id": "#main/gendata/gendata_tool"
                        }
                    ],
                    "out": [
                        "#main/gendata/data"
                    ],
                    "id": "#main/gendata"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0",
    "$namespaces": {
        "reana": "https://www.reana.io"
    }
}
